Bug 127422 - FILEOPEN DOCX: Text layout goes messy when in a table
Summary: FILEOPEN DOCX: Text layout goes messy when in a table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2019-09-07 14:08 UTC by scripct1111
Modified: 2019-10-16 10:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This is my screenshot of my DOC document file. Korean texts are broken. (73.32 KB, image/png)
2019-09-07 14:10 UTC, scripct1111
Details
The document I opened. It's a part of my job application and agreement of providing private information. (31.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-09-09 00:24 UTC, scripct1111
Details

Note You need to log in before you can comment on or make changes to this bug.
Description scripct1111 2019-09-07 14:08:36 UTC
Description:
Korean text looks like broken when I open DOC files with Writer.
Please check out my screenshot.
https://ibb.co/6nRgN21

Steps to Reproduce:
1. Open DOC file.
2. That's all!

Actual Results:
Text looks like broken and I cannot read.

Expected Results:
It Makes Writer More Compatible with MS Word.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 scripct1111 2019-09-07 14:10:12 UTC
Created attachment 154005 [details]
This is my screenshot of my DOC document file. Korean texts are broken.
Comment 2 Dieter 2019-09-08 14:11:41 UTC Comment hidden (obsolete)
Comment 3 scripct1111 2019-09-09 00:24:32 UTC
Created attachment 154032 [details]
The document I opened. It's a part of my job application and agreement of providing private information.
Comment 4 QA Administrators 2019-09-09 05:31:42 UTC Comment hidden (obsolete)
Comment 5 Dieter 2019-09-09 06:17:25 UTC
I confirm it with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 01837a85004a6f891a09c0a63ed7eff75d634827
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-01_00:07:05
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded

in comparison with MS Word 2013.

LO adds blank spaces and some lines of the text are outside the table borders.

Script1111, one further question: In your bug description you wrote about a doc file. Attacment is docx. So I assume docx is the correct format.
Comment 6 scripct1111 2019-09-09 07:59:00 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2019-09-18 09:50:23 UTC
The document looks fine in

Version: 4.4.0.0.alpha0+
Build ID: 726172e3eb8370125b89f853cebb1fb901547ebe
Comment 8 Xisco Faulí 2019-09-18 09:59:21 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5f62b97ae7891b8c601f6093a1ec5358feb20790

author	Mark Hung <marklh9@gmail.com>	2017-04-20 23:40:50 +0800
committer	Mark Hung <marklh9@gmail.com>	2017-04-23 08:00:57 +0200
commit	5f62b97ae7891b8c601f6093a1ec5358feb20790 (patch)
tree	afb826ef34117cd008ce8fcd09cf2a2e507622d5
parent	e0c7b254c0b941cf55a2d4a80de981748c3bfe7c (diff)
tdf#107301: Improve non snap-to-char text rendering.

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Mark Hung
Comment 9 Commit Notification 2019-09-29 03:45:51 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d744838991594eebe27acc4c7d9fb4579d654853

tdf#127422 draw text with correct pKernArray values.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-10-01 15:53:57 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 981654f6e0d57c2c6dd1bbf740a6b67941146497
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mark Hung, thanks for fixing this issue!! Can we close it as RESOLVED FIXED ? I would also like to backport it to 6-3...
Comment 11 Commit Notification 2019-10-04 22:59:21 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/558d1975947efc08db1a2f074351b39b5c4eccb1

tdf#127422 draw text with correct pKernArray values.

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Timur 2019-10-08 17:00:21 UTC
Mark, please mark as Fixed.